# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
%ifarch x86_64 aarch64
%bcond_without webengine
%else
%bcond_with webengine
%endif

%define oversion 22.10

Name:		eric7
Version:	25.2
Release:	%mkrel 1
Summary:	A Python 3 IDE
Group:		Development/Python
License:	GPLv3+
URL:		https://eric-ide.python-projects.org/
Source0:	https://downloads.sourceforge.net/eric-ide/%{name}-%{version}.tar.gz
Source1:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-de-%{oversion}.tar.gz
Source2:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-ru-%{oversion}.tar.gz
Source3:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-es-%{oversion}.tar.gz
Source4:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-en-%{oversion}.tar.gz
Patch0:		eric7-fix-desktop-files.patch

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	qt6-rpm-macros
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(pyyaml)
BuildRequires:	python3dist(toml)
BuildRequires:	python3-qt6-devel
BuildRequires:	python3-qt6-qscintilla
BuildRequires:	python3-qt6-charts
BuildRequires:	qscintilla-qt6-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
%if %{with webengine}
BuildRequires:	python3-qt6-webenginecore
BuildRequires:	python3-qt6-webenginewidgets
Requires:	python3-qt6-webenginecore
Requires:	python3-qt6-webenginewidgets
%endif
# pyqt6 Base Modules List
Requires:	python3-qt6-core
Requires:	python3-qt6-gui
Requires:	python3-qt6-qscintilla
Requires:	python3-qt6-charts
Requires:	python3-qt6-help
Requires:	python3-qt6-network
%if %{with webengine}
Requires:	python3-qt6-pdf
Requires:	python3-qt6-pdf-widgets
%endif
Requires:	python3-qt6-printsupport
Requires:	python3-qt6-sql
Requires:	python3-qt6-svg
Requires:	python3-qt6-svgwidgets
Requires:	python3-qt6-widgets
# required Modules List
Requires:	python3-pysvn
Requires:	python3dist(asttokens)
Requires:	python3dist(black)
Requires:	python3dist(coverage)
Requires:	python3dist(editorconfig)
Requires:	python3dist(isort)
Requires:	python3dist(jedi)
Requires:	python3dist(packaging)
Requires:	python3dist(parso)
Requires:	python3dist(pygments)
Requires:	python3dist(semver)
Requires:	python3dist(tomlkit)
Requires:	python3dist(trove-classifiers)
# optional Modules List
Recommends:	python3dist(chardet)
Recommends:	python3dist(docutils)
Recommends:	python3dist(markdown)
Recommends:	python3dist(pyyaml)
Recommends:	python3dist(pyenchant)
Recommends:	python3dist(wheel)

Obsoletes:	eric6 < 23.9-4
Provides:	eric6 = %{version}-%{release}

%description
Eric is a full featured Python and Ruby editor and IDE, written in python 3.
It is based on the cross platform Qt gui toolkit, integrating the highly
flexible Scintilla editor control.
It is designed to be usable as an everyday quick and dirty editor as well
as being usable as a professional project management tool integrating many
advanced features Python offers the professional coder.

%prep
%setup -q -n %{name}-%{oversion} -b 1
%setup -q -n %{name}-%{oversion} -D -T -b 2
%setup -q -n %{name}-%{oversion} -D -T -b 3
%setup -q -n %{name}-%{oversion} -D -T -b 4
%setup -q -n %{name}-%{version} -D -T -b 0
%autopatch -p1

%install
%{python3} install.py \
	--no-info \
	-i %{buildroot} \
	-b %{_bindir} \
	-d %{python3_sitelib} \
	-a %{_qt6_datadir}/qsci/api

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps

install -m 0644 eric/src/eric7/pixmaps/eric.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/eric.svg

install -m 0644 eric/src/eric7/pixmaps/ericWeb48.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/ericWeb.svg

install -m 0644 eric/src/eric7/pixmaps/ericMPy48.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/ericMPy.svg

# deprecated icons
rm -rf %{buildroot}%{_datadir}/icons/*.png
# already a metainfo file
rm -rf %{buildroot}%{_datadir}/appdata/*.xml

%files
%doc eric/docs/{changelog.md,README.rst,THANKS,eric7-plugin.pdf}
%license eric/docs/LICENSE*
%{_bindir}/%{name}*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/applications/%{name}*.desktop
%{_metainfodir}/%{name}.appdata.xml
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}plugins/
%{python3_sitelib}/%{name}config.py*
%{_qt6_datadir}/qsci/api/*/*


%changelog
* Fri Feb 21 2025 daviddavid <daviddavid> 25.2-1.mga10
+ Revision: 2150239
- new version: 25.2
- new version: 24.12
- new version: 24.11

* Tue Aug 06 2024 daviddavid <daviddavid> 24.8-1.mga10
+ Revision: 2083715
- new version: 24.8

* Thu Feb 15 2024 daviddavid <daviddavid> 24.2.1-1.mga10
+ Revision: 2041505
- new version: 24.2.1

* Wed Dec 20 2023 daviddavid <daviddavid> 23.12-3.mga10
+ Revision: 2020156
- obsoletes no more maintained upstream eric6

* Wed Dec 20 2023 daviddavid <daviddavid> 23.12-2.mga10
+ Revision: 2019981
- Mass Rebuild - Python 3.12

* Sun Dec 03 2023 papoteur <papoteur> 23.12-1.mga10
+ Revision: 2012853
- new 23.12
- new 23.10

* Fri Sep 22 2023 daviddavid <daviddavid> 23.9-2.mga10
+ Revision: 1989308
- disable webengine support on 32bit for now
- stop using old python3-sip

* Sat Sep 02 2023 papoteur <papoteur> 23.9-1.mga10
+ Revision: 1983495
- new 23.9

* Tue Jun 13 2023 daviddavid <daviddavid> 23.5-3.mga9
+ Revision: 1961889
- add more some missing dependencies

* Mon Jun 12 2023 daviddavid <daviddavid> 23.5-2.mga9
+ Revision: 1961872
- add some missing PyQt6 dependencies and also missing python3-semver (mga#32007)

* Tue May 02 2023 papoteur <papoteur> 23.5-1.mga9
+ Revision: 1955607
- new 23.5

* Wed Jan 25 2023 daviddavid <daviddavid> 23.2-1.mga9
+ Revision: 1936075
- new version: 23.2

* Tue Jan 03 2023 daviddavid <daviddavid> 23.1.1-1.mga9
+ Revision: 1929724
- new version: 23.1.1

* Tue Jan 03 2023 daviddavid <daviddavid> 23.1-1.mga9
+ Revision: 1929452
- new version: 23.1
- enable webengine also on aarch64 and armv7 arches

* Thu Dec 01 2022 papoteur <papoteur> 22.12-2.mga9
+ Revision: 1913793
- add qtwebengine only for x86 arches
- new 22.12

* Wed Oct 05 2022 papoteur <papoteur> 22.10.0-2.mga9
+ Revision: 1894878
- Fix requires

* Tue Oct 04 2022 papoteur <papoteur> 22.10.0-1.mga9
+ Revision: 1894819
- Fork eric6 to eric7

* Mon Sep 12 2022 papoteur <papoteur> 22.8.1-1.mga9
+ Revision: 1887453
- new 22.8.1
- Mass Rebuild for dependencies
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- BR python-sip6
- Rebuild for python-3.10
+ daviddavid <daviddavid>
- new version: 21.05

* Tue Apr 06 2021 daviddavid <daviddavid> 21.04-1.mga9
+ Revision: 1713903
- new version: 21.04

* Thu Mar 18 2021 daviddavid <daviddavid> 21.03-2.mga9
+ Revision: 1704390
- rebuild for python 3.9

* Sun Mar 07 2021 daviddavid <daviddavid> 21.03-1.mga9
+ Revision: 1700333
- new version: 21.03

* Mon Jan 04 2021 daviddavid <daviddavid> 21.01-1.mga8
+ Revision: 1668540
- new version: 21.01

* Tue Dec 29 2020 daviddavid <daviddavid> 20.12.1-1.mga8
+ Revision: 1664790
- new version: 20.12.1
- new version: 20.12
- new version: 20.11

* Thu Oct 08 2020 daviddavid <daviddavid> 20.10-1.mga8
+ Revision: 1632768
- new version: 20.10

* Mon Sep 07 2020 daviddavid <daviddavid> 20.09-1.mga8
+ Revision: 1623305
- new version: 20.09

* Sun Aug 02 2020 daviddavid <daviddavid> 20.08-1.mga8
+ Revision: 1610491
- new version: 20.08

* Sun Jul 05 2020 daviddavid <daviddavid> 20.07-1.mga8
+ Revision: 1602336
- new version: 20.07

* Tue Jun 02 2020 daviddavid <daviddavid> 20.06-1.mga8
+ Revision: 1589621
- new version: 20.06

* Mon May 04 2020 daviddavid <daviddavid> 20.05-1.mga8
+ Revision: 1578678
- new version: 20.05

* Mon Apr 06 2020 daviddavid <daviddavid> 20.04-1.mga8
+ Revision: 1565045
- new version: 20.04

* Sun Mar 08 2020 daviddavid <daviddavid> 20.03-1.mga8
+ Revision: 1554804
- new version: 20.03

* Tue Feb 18 2020 umeabot <umeabot> 20.01-2.mga8
+ Revision: 1541797
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 20.01-1.mga8
+ Revision: 1475444
- new version: 20.01

* Sun Dec 08 2019 daviddavid <daviddavid> 19.12-1.mga8
+ Revision: 1465079
- new version: 19.12

* Thu Oct 03 2019 daviddavid <daviddavid> 19.10-1.mga8
+ Revision: 1449118
- new version: 19.10

* Fri Sep 13 2019 daviddavid <daviddavid> 19.09-1.mga8
+ Revision: 1440157
- new version: 19.09
- rebuild for python3.8

* Sat Aug 03 2019 daviddavid <daviddavid> 19.08-1.mga8
+ Revision: 1427152
- new version: 19.08

* Sat Jul 27 2019 daviddavid <daviddavid> 19.07-2.mga8
+ Revision: 1424533
- rebuild for new mkspecs macros

* Sun Jul 07 2019 daviddavid <daviddavid> 19.07-1.mga8
+ Revision: 1419254
- new version: 19.07

* Mon Jul 01 2019 daviddavid <daviddavid> 19.06-1.mga8
+ Revision: 1417427
- new version: 19.06

* Sat Apr 06 2019 daviddavid <daviddavid> 19.04-1.mga7
+ Revision: 1386398
- new version: 19.04

* Mon Mar 11 2019 pterjan <pterjan> 19.03-2.mga7
+ Revision: 1374137
- Add dependencies on QtWebEngineWidgets and PyQt5.QtWebEngineCore (fixes build)

* Sun Mar 03 2019 daviddavid <daviddavid> 19.03-1.mga7
+ Revision: 1371159
- new version: 19.03

* Sun Feb 17 2019 daviddavid <daviddavid> 19.02.1-1.mga7
+ Revision: 1367848
- new version: 19.02.1

* Sat Feb 02 2019 daviddavid <daviddavid> 19.02-1.mga7
+ Revision: 1362447
- new version: 19.02

* Fri Jan 11 2019 daviddavid <daviddavid> 19.01-1.mga7
+ Revision: 1355081
- new version: 19.01

* Mon Jan 07 2019 daviddavid <daviddavid> 18.12-2.mga7
+ Revision: 1351427
- rebuild for new Python 3.7

* Sat Dec 01 2018 daviddavid <daviddavid> 18.12-1.mga7
+ Revision: 1337090
- new version: 18.12

* Thu Nov 01 2018 daviddavid <daviddavid> 18.11-1.mga7
+ Revision: 1327221
- new version: 18.11
- lang fr, it, cs, tr, pt and zh_CN are no more provided

* Sun Sep 23 2018 umeabot <umeabot> 17.12-3.mga7
+ Revision: 1297618
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 17.12-2.mga7
+ Revision: 1220187
- rebuild for new qscintilla 2.10.4

* Fri Feb 16 2018 daviddavid <daviddavid> 17.12-1.mga7
+ Revision: 1201660
- new version: 17.12

* Sat Aug 05 2017 daviddavid <daviddavid> 17.07-2.mga7
+ Revision: 1135046
- rebuild for new Python 3.6

* Tue Jul 25 2017 daviddavid <daviddavid> 17.07-1.mga7
+ Revision: 1130755
- new version: 17.07

* Sat Jan 14 2017 daviddavid <daviddavid> 17.01-1.mga6
+ Revision: 1081726
- new version: 17.01

* Sun Dec 04 2016 daviddavid <daviddavid> 16.12-1.mga6
+ Revision: 1071928
- new version: 16.12

* Sun Nov 13 2016 daviddavid <daviddavid> 16.11-1.mga6
+ Revision: 1066947
- new version: 16.11

* Tue Oct 18 2016 daviddavid <daviddavid> 6.1.10-2.mga6
+ Revision: 1061560
- fix desktop files icon not displayed in application menu entry

* Mon Oct 17 2016 daviddavid <daviddavid> 6.1.10-1.mga6
+ Revision: 1061297
- new version: 6.1.10

* Sun Feb 14 2016 umeabot <umeabot> 6.0.8-3.mga6
+ Revision: 960038
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 akien <akien> 6.0.8-2.mga6
+ Revision: 899676
- Attempt building against python3 and qscintilla-qt5
- Obsolete eric4

* Sat Aug 29 2015 fwang <fwang> 6.0.8-1.mga6
+ Revision: 870956
- fix desktop files
- update file list
- disable python bytecompile as it does not like eric bundled 3rdparty source files
- imported package eric6

